danishansari danishansari - 4 days ago 6
Linux Question

VAAPI Compatibility issue with "Intel Corporation 3rd Gen Core processor Graphics Controller"

i am getting below error while running vainfo

libva info: VA-API version 0.99.0 libva info: va_getDriverName() returns 0
libva info: User requested driver 'iHD' libva info: Trying to open /opt/intel/mediasdk/lib64/iHD_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva error: /opt/intel/mediasdk/lib64/iHD_drv_video.so init failed
libva info: va_openDriver() returns 1 vaInitialize failed with error code 1 (operation failed),exit


This is happening after installing Intel Media Server Studio 2017 (see), before that vainfo was working fine, as i installed below packages and drivers, suggested from here.

sudo apt-get install i965-va-driver libva-intel-vaapi-driver vainfo


Machine configuration : ubuntu 14.04 LTS
Processor : Intel i7(i7-3720QM)
Graphics : Intel Corporation 3rd Gen Core processor Graphics Controller


Is this just because Intel SDK does not support 3rd Generation Processor?

Answer

The problem is with version of Media SDK used, Media SDK-2017 supports only 4th/5th Generation Processors.

For 3rd Generation Machine Media SDK-2015-R1 is the compatible version, which can be downloaded from here. Using the correct version with corresponding hardware will solve this problem.

Comments